_systemInit:
;color7_mm_example_main.c,32 :: 		void systemInit()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;color7_mm_example_main.c,34 :: 		mikrobus_gpioInit( _MIKROBUS1, _MIKROBUS_INT_PIN, _GPIO_INPUT );
MOVS	R2, #1
MOVS	R1, #7
MOVS	R0, #0
BL	_mikrobus_gpioInit+0
;color7_mm_example_main.c,35 :: 		mikrobus_i2cInit( _MIKROBUS1, &_COLOR7_I2C_CFG[0] );
MOVW	R0, #lo_addr(__COLOR7_I2C_CFG+0)
MOVT	R0, #hi_addr(__COLOR7_I2C_CFG+0)
MOV	R1, R0
MOVS	R0, #0
BL	_mikrobus_i2cInit+0
;color7_mm_example_main.c,36 :: 		mikrobus_i2cInit( _MIKROBUS2, &_LEDDRIVER3_I2C_CFG[0] );
MOVW	R0, #lo_addr(__LEDDRIVER3_I2C_CFG+0)
MOVT	R0, #hi_addr(__LEDDRIVER3_I2C_CFG+0)
MOV	R1, R0
MOVS	R0, #1
BL	_mikrobus_i2cInit+0
;color7_mm_example_main.c,37 :: 		mikrobus_logInit( _LOG_USBUART_A, 9600 );
MOVW	R1, #9600
MOVS	R0, #32
BL	_mikrobus_logInit+0
;color7_mm_example_main.c,38 :: 		mikrobus_logWrite("--- System init --- ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr1_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr1_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,39 :: 		Delay_ms( 100 );
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_systemInit0:
SUBS	R7, R7, #1
BNE	L_systemInit0
NOP
NOP
NOP
;color7_mm_example_main.c,40 :: 		}
L_end_systemInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _systemInit
_applicationInit:
;color7_mm_example_main.c,42 :: 		void applicationInit()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;color7_mm_example_main.c,44 :: 		color7_i2cDriverInit( (T_COLOR7_P)&_MIKROBUS1_GPIO, (T_COLOR7_P)&_MIKROBUS1_I2C, 0x29 );
MOVS	R2, #41
MOVW	R1, #lo_addr(__MIKROBUS1_I2C+0)
MOVT	R1, #hi_addr(__MIKROBUS1_I2C+0)
MOVW	R0, #lo_addr(__MIKROBUS1_GPIO+0)
MOVT	R0, #hi_addr(__MIKROBUS1_GPIO+0)
BL	_color7_i2cDriverInit+0
;color7_mm_example_main.c,45 :: 		leddriver3_i2cDriverInit( (T_LEDDRIVER3_P)&_MIKROBUS2_GPIO, (T_LEDDRIVER3_P)&_MIKROBUS2_I2C, 0x38 );
MOVS	R2, #56
MOVW	R1, #lo_addr(__MIKROBUS2_I2C+0)
MOVT	R1, #hi_addr(__MIKROBUS2_I2C+0)
MOVW	R0, #lo_addr(__MIKROBUS2_GPIO+0)
MOVT	R0, #hi_addr(__MIKROBUS2_GPIO+0)
BL	_leddriver3_i2cDriverInit+0
;color7_mm_example_main.c,47 :: 		mikrobus_logWrite("--- Color Init --- ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr2_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr2_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,51 :: 		_COLOR7_POWER_ON );
MOVS	R1, #27
;color7_mm_example_main.c,48 :: 		color7_writeByte(_COLOR7_REG_ENABLE, _COLOR7_ENABLE_RGBC_INTERRUPT |
MOVS	R0, #0
;color7_mm_example_main.c,51 :: 		_COLOR7_POWER_ON );
BL	_color7_writeByte+0
;color7_mm_example_main.c,53 :: 		color7_writeByte(_COLOR7_REG_CONTROL, _COLOR7_CTRL_GAIN_x1);
MOVS	R1, #0
MOVS	R0, #15
BL	_color7_writeByte+0
;color7_mm_example_main.c,54 :: 		color7_writeByte(_COLOR7_REG_RGBC_TIME, _COLOR7_RGBC_TIME_700ms);
MOVS	R1, #0
MOVS	R0, #1
BL	_color7_writeByte+0
;color7_mm_example_main.c,55 :: 		mikrobus_logWrite("--- Start measurement --- ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr3_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr3_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,57 :: 		leddriver3_setIntensity(_LEDDRIVER3_CONSTANT | _LEDDRIVER3_INTENSITY_16);
MOVS	R0, #48
BL	_leddriver3_setIntensity+0
;color7_mm_example_main.c,58 :: 		}
L_end_applicationInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _applicationInit
_applicationTask:
;color7_mm_example_main.c,60 :: 		void applicationTask()
SUB	SP, SP, #8
STR	LR, [SP, #0]
;color7_mm_example_main.c,62 :: 		TFT_Set_Font(&Tahoma12x16_Regular, 0xFFFF, FO_HORIZONTAL);
MOVW	R0, #lo_addr(_Tahoma12x16_Regular+0)
MOVT	R0, #hi_addr(_Tahoma12x16_Regular+0)
MOVS	R2, #0
MOVW	R1, #65535
BL	_TFT_Set_Font+0
;color7_mm_example_main.c,63 :: 		TFT_Write_Text(hslData_text, 171, 186);
MOVS	R2, #186
MOVS	R1, #171
MOVW	R0, #lo_addr(_hslData_text+0)
MOVT	R0, #hi_addr(_hslData_text+0)
BL	_TFT_Write_Text+0
;color7_mm_example_main.c,64 :: 		colorValue = color7_getColorValue();
BL	_color7_getColorValue+0
MOVW	R1, #lo_addr(_colorValue+0)
MOVT	R1, #hi_addr(_colorValue+0)
STR	R1, [SP, #4]
STR	R0, [R1, #0]
;color7_mm_example_main.c,65 :: 		isColor = colorValue;
MOVW	R1, #lo_addr(_isColor+0)
MOVT	R1, #hi_addr(_isColor+0)
STR	R0, [R1, #0]
;color7_mm_example_main.c,66 :: 		colorValue *= 100.00;
MOVW	R2, #0
MOVT	R2, #17096
BL	__Mul_FP+0
LDR	R1, [SP, #4]
STR	R0, [R1, #0]
;color7_mm_example_main.c,67 :: 		FloatToStr(colorValue, hslData_text);
MOV	R0, R0
MOVW	R1, #lo_addr(_hslData_text+0)
MOVT	R1, #hi_addr(_hslData_text+0)
BL	_FloatToStr+0
;color7_mm_example_main.c,68 :: 		TFT_Set_Font(&Tahoma12x16_Regular, 0x0000, FO_HORIZONTAL);
MOVW	R0, #lo_addr(_Tahoma12x16_Regular+0)
MOVT	R0, #hi_addr(_Tahoma12x16_Regular+0)
MOVS	R2, #0
MOVS	R1, #0
BL	_TFT_Set_Font+0
;color7_mm_example_main.c,69 :: 		TFT_Write_Text(hslData_text, 171, 186);
MOVS	R2, #186
MOVS	R1, #171
MOVW	R0, #lo_addr(_hslData_text+0)
MOVT	R0, #hi_addr(_hslData_text+0)
BL	_TFT_Write_Text+0
;color7_mm_example_main.c,71 :: 		TFT_Set_Font(&Tahoma12x16_Regular, 0xFFFF, FO_HORIZONTAL);
MOVW	R0, #lo_addr(_Tahoma12x16_Regular+0)
MOVT	R0, #hi_addr(_Tahoma12x16_Regular+0)
MOVS	R2, #0
MOVW	R1, #65535
BL	_TFT_Set_Font+0
;color7_mm_example_main.c,72 :: 		TFT_Write_Text(redData_text, 13, 59);
MOVS	R2, #59
MOVS	R1, #13
MOVW	R0, #lo_addr(_redData_text+0)
MOVT	R0, #hi_addr(_redData_text+0)
BL	_TFT_Write_Text+0
;color7_mm_example_main.c,73 :: 		redRatio = color7_readColorRatio(_COLOR7_COLOR_DATA_RED);
MOVS	R0, #22
BL	_color7_readColorRatio+0
MOVW	R1, #lo_addr(_redRatio+0)
MOVT	R1, #hi_addr(_redRatio+0)
STR	R1, [SP, #4]
STR	R0, [R1, #0]
;color7_mm_example_main.c,74 :: 		redRatio *= 100.00;
MOVW	R2, #0
MOVT	R2, #17096
BL	__Mul_FP+0
LDR	R1, [SP, #4]
STR	R0, [R1, #0]
;color7_mm_example_main.c,75 :: 		FloatToStr(redRatio, redData_text);
MOV	R0, R0
MOVW	R1, #lo_addr(_redData_text+0)
MOVT	R1, #hi_addr(_redData_text+0)
BL	_FloatToStr+0
;color7_mm_example_main.c,76 :: 		TFT_Set_Font(&Tahoma12x16_Regular, 0x0000, FO_HORIZONTAL);
MOVW	R0, #lo_addr(_Tahoma12x16_Regular+0)
MOVT	R0, #hi_addr(_Tahoma12x16_Regular+0)
MOVS	R2, #0
MOVS	R1, #0
BL	_TFT_Set_Font+0
;color7_mm_example_main.c,77 :: 		TFT_Write_Text(redData_text, 13, 59);
MOVS	R2, #59
MOVS	R1, #13
MOVW	R0, #lo_addr(_redData_text+0)
MOVT	R0, #hi_addr(_redData_text+0)
BL	_TFT_Write_Text+0
;color7_mm_example_main.c,79 :: 		TFT_Set_Font(&Tahoma12x16_Regular, 0xFFFF, FO_HORIZONTAL);
MOVW	R0, #lo_addr(_Tahoma12x16_Regular+0)
MOVT	R0, #hi_addr(_Tahoma12x16_Regular+0)
MOVS	R2, #0
MOVW	R1, #65535
BL	_TFT_Set_Font+0
;color7_mm_example_main.c,80 :: 		TFT_Write_Text(greenData_text, 15, 115);
MOVS	R2, #115
MOVS	R1, #15
MOVW	R0, #lo_addr(_greenData_text+0)
MOVT	R0, #hi_addr(_greenData_text+0)
BL	_TFT_Write_Text+0
;color7_mm_example_main.c,81 :: 		greenRatio = color7_readColorRatio(_COLOR7_COLOR_DATA_GREEN);
MOVS	R0, #24
BL	_color7_readColorRatio+0
MOVW	R1, #lo_addr(_greenRatio+0)
MOVT	R1, #hi_addr(_greenRatio+0)
STR	R1, [SP, #4]
STR	R0, [R1, #0]
;color7_mm_example_main.c,82 :: 		greenRatio *= 100.00;
MOVW	R2, #0
MOVT	R2, #17096
BL	__Mul_FP+0
LDR	R1, [SP, #4]
STR	R0, [R1, #0]
;color7_mm_example_main.c,83 :: 		FloatToStr(greenRatio, greenData_text);
MOV	R0, R0
MOVW	R1, #lo_addr(_greenData_text+0)
MOVT	R1, #hi_addr(_greenData_text+0)
BL	_FloatToStr+0
;color7_mm_example_main.c,84 :: 		TFT_Set_Font(&Tahoma12x16_Regular, 0x0000, FO_HORIZONTAL);
MOVW	R0, #lo_addr(_Tahoma12x16_Regular+0)
MOVT	R0, #hi_addr(_Tahoma12x16_Regular+0)
MOVS	R2, #0
MOVS	R1, #0
BL	_TFT_Set_Font+0
;color7_mm_example_main.c,85 :: 		TFT_Write_Text(greenData_text, 15, 115);
MOVS	R2, #115
MOVS	R1, #15
MOVW	R0, #lo_addr(_greenData_text+0)
MOVT	R0, #hi_addr(_greenData_text+0)
BL	_TFT_Write_Text+0
;color7_mm_example_main.c,87 :: 		TFT_Set_Font(&Tahoma12x16_Regular, 0xFFFF, FO_HORIZONTAL);
MOVW	R0, #lo_addr(_Tahoma12x16_Regular+0)
MOVT	R0, #hi_addr(_Tahoma12x16_Regular+0)
MOVS	R2, #0
MOVW	R1, #65535
BL	_TFT_Set_Font+0
;color7_mm_example_main.c,88 :: 		TFT_Write_Text(blueData_text, 14, 173);
MOVS	R2, #173
MOVS	R1, #14
MOVW	R0, #lo_addr(_blueData_text+0)
MOVT	R0, #hi_addr(_blueData_text+0)
BL	_TFT_Write_Text+0
;color7_mm_example_main.c,89 :: 		blueRatio = color7_readColorRatio(_COLOR7_COLOR_DATA_BLUE);
MOVS	R0, #26
BL	_color7_readColorRatio+0
MOVW	R1, #lo_addr(_blueRatio+0)
MOVT	R1, #hi_addr(_blueRatio+0)
STR	R1, [SP, #4]
STR	R0, [R1, #0]
;color7_mm_example_main.c,90 :: 		blueRatio *= 100.00;
MOVW	R2, #0
MOVT	R2, #17096
BL	__Mul_FP+0
LDR	R1, [SP, #4]
STR	R0, [R1, #0]
;color7_mm_example_main.c,91 :: 		FloatToStr(blueRatio, blueData_text);
MOV	R0, R0
MOVW	R1, #lo_addr(_blueData_text+0)
MOVT	R1, #hi_addr(_blueData_text+0)
BL	_FloatToStr+0
;color7_mm_example_main.c,92 :: 		TFT_Set_Font(&Tahoma12x16_Regular, 0x0000, FO_HORIZONTAL);
MOVW	R0, #lo_addr(_Tahoma12x16_Regular+0)
MOVT	R0, #hi_addr(_Tahoma12x16_Regular+0)
MOVS	R2, #0
MOVS	R1, #0
BL	_TFT_Set_Font+0
;color7_mm_example_main.c,93 :: 		TFT_Write_Text(blueData_text, 14, 173);
MOVS	R2, #173
MOVS	R1, #14
MOVW	R0, #lo_addr(_blueData_text+0)
MOVT	R0, #hi_addr(_blueData_text+0)
BL	_TFT_Write_Text+0
;color7_mm_example_main.c,95 :: 		if((isColor >= 0.992) && (isColor <= 0.999))
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #62390
MOVT	R0, #16253
BL	__Compare_FP+0
MOVW	R0, #0
BGT	L__applicationTask65
MOVS	R0, #1
L__applicationTask65:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask47
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #48759
MOVT	R0, #16255
BL	__Compare_FP+0
MOVW	R0, #0
BLT	L__applicationTask66
MOVS	R0, #1
L__applicationTask66:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask46
L__applicationTask45:
;color7_mm_example_main.c,97 :: 		mikrobus_logWrite("--- Color: ORANGE ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr4_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr4_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,98 :: 		DrawCircle(&Color_circle, 0xF000);
MOVW	R1, #61440
SXTH	R1, R1
MOVW	R0, #lo_addr(_Color_circle+0)
MOVT	R0, #hi_addr(_Color_circle+0)
BL	_DrawCircle+0
;color7_mm_example_main.c,99 :: 		leddriver3_setColor(_LEDDRIVER3_COLOR_ORANGE);
MOVW	R0, #25216
MOVT	R0, #95
BL	_leddriver3_setColor+0
;color7_mm_example_main.c,100 :: 		}
IT	AL
BAL	L_applicationTask5
;color7_mm_example_main.c,95 :: 		if((isColor >= 0.992) && (isColor <= 0.999))
L__applicationTask47:
L__applicationTask46:
;color7_mm_example_main.c,101 :: 		else if ((isColor >= 0.9750) && (isColor <= 0.9919))
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #39322
MOVT	R0, #16249
BL	__Compare_FP+0
MOVW	R0, #0
BGT	L__applicationTask67
MOVS	R0, #1
L__applicationTask67:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask49
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #60713
MOVT	R0, #16253
BL	__Compare_FP+0
MOVW	R0, #0
BLT	L__applicationTask68
MOVS	R0, #1
L__applicationTask68:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask48
L__applicationTask44:
;color7_mm_example_main.c,103 :: 		mikrobus_logWrite("--- Color: RED ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr5_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr5_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,104 :: 		DrawCircle(&Color_circle, 0xF800);
MOVW	R1, #63488
SXTH	R1, R1
MOVW	R0, #lo_addr(_Color_circle+0)
MOVT	R0, #hi_addr(_Color_circle+0)
BL	_DrawCircle+0
;color7_mm_example_main.c,105 :: 		leddriver3_setColor(_LEDDRIVER3_COLOR_RED);
MOVW	R0, #24704
MOVT	R0, #95
BL	_leddriver3_setColor+0
;color7_mm_example_main.c,106 :: 		}
IT	AL
BAL	L_applicationTask9
;color7_mm_example_main.c,101 :: 		else if ((isColor >= 0.9750) && (isColor <= 0.9919))
L__applicationTask49:
L__applicationTask48:
;color7_mm_example_main.c,107 :: 		else if ((isColor >= 0.920) && (isColor <= 0.9749))
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #34079
MOVT	R0, #16235
BL	__Compare_FP+0
MOVW	R0, #0
BGT	L__applicationTask69
MOVS	R0, #1
L__applicationTask69:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask51
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #37644
MOVT	R0, #16249
BL	__Compare_FP+0
MOVW	R0, #0
BLT	L__applicationTask70
MOVS	R0, #1
L__applicationTask70:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask50
L__applicationTask43:
;color7_mm_example_main.c,109 :: 		mikrobus_logWrite("--- Color: PINK ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr6_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr6_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,110 :: 		DrawCircle(&Color_circle, 0xF00F);
MOVW	R1, #61455
SXTH	R1, R1
MOVW	R0, #lo_addr(_Color_circle+0)
MOVT	R0, #hi_addr(_Color_circle+0)
BL	_DrawCircle+0
;color7_mm_example_main.c,111 :: 		leddriver3_setRGB_Color(0x5F, 0x60, 0x90);;
MOVS	R2, #144
MOVS	R1, #96
MOVS	R0, #95
BL	_leddriver3_setRGB_Color+0
;color7_mm_example_main.c,112 :: 		}
IT	AL
BAL	L_applicationTask13
;color7_mm_example_main.c,107 :: 		else if ((isColor >= 0.920) && (isColor <= 0.9749))
L__applicationTask51:
L__applicationTask50:
;color7_mm_example_main.c,113 :: 		else if ((isColor >= 0.6201) && (isColor <= 0.919))
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #48864
MOVT	R0, #16158
BL	__Compare_FP+0
MOVW	R0, #0
BGT	L__applicationTask71
MOVS	R0, #1
L__applicationTask71:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask53
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #17302
MOVT	R0, #16235
BL	__Compare_FP+0
MOVW	R0, #0
BLT	L__applicationTask72
MOVS	R0, #1
L__applicationTask72:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask52
L__applicationTask42:
;color7_mm_example_main.c,115 :: 		mikrobus_logWrite("--- Color: PURPLE ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr7_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr7_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,116 :: 		DrawCircle(&Color_circle, 0xF81F);
MOVW	R1, #63519
SXTH	R1, R1
MOVW	R0, #lo_addr(_Color_circle+0)
MOVT	R0, #hi_addr(_Color_circle+0)
BL	_DrawCircle+0
;color7_mm_example_main.c,117 :: 		leddriver3_setColor(_LEDDRIVER3_COLOR_PURPLE);
MOVW	R0, #24732
MOVT	R0, #88
BL	_leddriver3_setColor+0
;color7_mm_example_main.c,118 :: 		}
IT	AL
BAL	L_applicationTask17
;color7_mm_example_main.c,113 :: 		else if ((isColor >= 0.6201) && (isColor <= 0.919))
L__applicationTask53:
L__applicationTask52:
;color7_mm_example_main.c,119 :: 		else if ((isColor >= 0.521) && (isColor <= 0.6200))
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #24642
MOVT	R0, #16133
BL	__Compare_FP+0
MOVW	R0, #0
BGT	L__applicationTask73
MOVS	R0, #1
L__applicationTask73:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask55
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #47186
MOVT	R0, #16158
BL	__Compare_FP+0
MOVW	R0, #0
BLT	L__applicationTask74
MOVS	R0, #1
L__applicationTask74:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask54
L__applicationTask41:
;color7_mm_example_main.c,121 :: 		mikrobus_logWrite("--- Color: BLUE ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr8_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr8_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,122 :: 		DrawCircle(&Color_circle, 0x001F);
MOVS	R1, #31
SXTH	R1, R1
MOVW	R0, #lo_addr(_Color_circle+0)
MOVT	R0, #hi_addr(_Color_circle+0)
BL	_DrawCircle+0
;color7_mm_example_main.c,123 :: 		leddriver3_setColor(_LEDDRIVER3_COLOR_BLUE);
MOVW	R0, #24735
MOVT	R0, #64
BL	_leddriver3_setColor+0
;color7_mm_example_main.c,124 :: 		}
IT	AL
BAL	L_applicationTask21
;color7_mm_example_main.c,119 :: 		else if ((isColor >= 0.521) && (isColor <= 0.6200))
L__applicationTask55:
L__applicationTask54:
;color7_mm_example_main.c,125 :: 		else if ((isColor >= 0.470) && (isColor < 0.520))
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #41943
MOVT	R0, #16112
BL	__Compare_FP+0
MOVW	R0, #0
BGT	L__applicationTask75
MOVS	R0, #1
L__applicationTask75:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask57
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #7864
MOVT	R0, #16133
BL	__Compare_FP+0
MOVW	R0, #0
BLE	L__applicationTask76
MOVS	R0, #1
L__applicationTask76:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask56
L__applicationTask40:
;color7_mm_example_main.c,127 :: 		mikrobus_logWrite("--- Color: CYAN ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr9_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr9_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,128 :: 		DrawCircle(&Color_circle, 0x07FF);
MOVW	R1, #2047
SXTH	R1, R1
MOVW	R0, #lo_addr(_Color_circle+0)
MOVT	R0, #hi_addr(_Color_circle+0)
BL	_DrawCircle+0
;color7_mm_example_main.c,129 :: 		leddriver3_setRGB_Color(0x40, 0x7F, 0x9F);
MOVS	R2, #159
MOVS	R1, #127
MOVS	R0, #64
BL	_leddriver3_setRGB_Color+0
;color7_mm_example_main.c,130 :: 		}
IT	AL
BAL	L_applicationTask25
;color7_mm_example_main.c,125 :: 		else if ((isColor >= 0.470) && (isColor < 0.520))
L__applicationTask57:
L__applicationTask56:
;color7_mm_example_main.c,131 :: 		else if ((isColor >= 0.210) && (isColor <= 0.469))
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #2621
MOVT	R0, #15959
BL	__Compare_FP+0
MOVW	R0, #0
BGT	L__applicationTask77
MOVS	R0, #1
L__applicationTask77:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask59
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #8389
MOVT	R0, #16112
BL	__Compare_FP+0
MOVW	R0, #0
BLT	L__applicationTask78
MOVS	R0, #1
L__applicationTask78:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask58
L__applicationTask39:
;color7_mm_example_main.c,133 :: 		mikrobus_logWrite("--- Color: GREEN ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr10_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr10_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,134 :: 		DrawCircle(&Color_circle, 0x34C0);
MOVW	R1, #13504
SXTH	R1, R1
MOVW	R0, #lo_addr(_Color_circle+0)
MOVT	R0, #hi_addr(_Color_circle+0)
BL	_DrawCircle+0
;color7_mm_example_main.c,135 :: 		leddriver3_setColor(_LEDDRIVER3_COLOR_GREEN);
MOVW	R0, #32640
MOVT	R0, #64
BL	_leddriver3_setColor+0
;color7_mm_example_main.c,136 :: 		}
IT	AL
BAL	L_applicationTask29
;color7_mm_example_main.c,131 :: 		else if ((isColor >= 0.210) && (isColor <= 0.469))
L__applicationTask59:
L__applicationTask58:
;color7_mm_example_main.c,137 :: 		else if ((isColor >= 0.0650) && (isColor <= 0.180))
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #7864
MOVT	R0, #15749
BL	__Compare_FP+0
MOVW	R0, #0
BGT	L__applicationTask79
MOVS	R0, #1
L__applicationTask79:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask61
MOVW	R0, #lo_addr(_isColor+0)
MOVT	R0, #hi_addr(_isColor+0)
LDR	R2, [R0, #0]
MOVW	R0, #20972
MOVT	R0, #15928
BL	__Compare_FP+0
MOVW	R0, #0
BLT	L__applicationTask80
MOVS	R0, #1
L__applicationTask80:
CMP	R0, #0
IT	EQ
BEQ	L__applicationTask60
L__applicationTask38:
;color7_mm_example_main.c,139 :: 		mikrobus_logWrite("--- Color: YELLOW ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr11_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr11_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,140 :: 		DrawCircle(&Color_circle, 0xFFE0);
MOVW	R1, #65504
SXTH	R1, R1
MOVW	R0, #lo_addr(_Color_circle+0)
MOVT	R0, #hi_addr(_Color_circle+0)
BL	_DrawCircle+0
;color7_mm_example_main.c,141 :: 		leddriver3_setColor(_LEDDRIVER3_COLOR_YELLOW);
MOVW	R0, #29824
MOVT	R0, #95
BL	_leddriver3_setColor+0
;color7_mm_example_main.c,142 :: 		}
IT	AL
BAL	L_applicationTask33
;color7_mm_example_main.c,137 :: 		else if ((isColor >= 0.0650) && (isColor <= 0.180))
L__applicationTask61:
L__applicationTask60:
;color7_mm_example_main.c,145 :: 		mikrobus_logWrite("--- Color: WHITE ", _LOG_LINE);
MOVW	R0, #lo_addr(?lstr12_color7_mm_example_main+0)
MOVT	R0, #hi_addr(?lstr12_color7_mm_example_main+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;color7_mm_example_main.c,146 :: 		DrawCircle(&Color_circle, 0xFFFF);
MOVW	R1, #65535
SXTH	R1, R1
MOVW	R0, #lo_addr(_Color_circle+0)
MOVT	R0, #hi_addr(_Color_circle+0)
BL	_DrawCircle+0
;color7_mm_example_main.c,147 :: 		leddriver3_setColor(_LEDDRIVER3_COLOR_OFF);
MOV	R0, #0
BL	_leddriver3_setColor+0
;color7_mm_example_main.c,148 :: 		}
L_applicationTask33:
L_applicationTask29:
L_applicationTask25:
L_applicationTask21:
L_applicationTask17:
L_applicationTask13:
L_applicationTask9:
L_applicationTask5:
;color7_mm_example_main.c,149 :: 		Delay_ms( 200 );
MOVW	R7, #40703
MOVT	R7, #36
NOP
NOP
L_applicationTask34:
SUBS	R7, R7, #1
BNE	L_applicationTask34
NOP
NOP
NOP
;color7_mm_example_main.c,150 :: 		}
L_end_applicationTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _applicationTask
_main:
;color7_mm_example_main.c,152 :: 		void main()
;color7_mm_example_main.c,154 :: 		Start_TP();
BL	_Start_TP+0
;color7_mm_example_main.c,155 :: 		systemInit();
BL	_systemInit+0
;color7_mm_example_main.c,156 :: 		applicationInit();
BL	_applicationInit+0
;color7_mm_example_main.c,158 :: 		while (1)
L_main36:
;color7_mm_example_main.c,160 :: 		applicationTask();
BL	_applicationTask+0
;color7_mm_example_main.c,161 :: 		}
IT	AL
BAL	L_main36
;color7_mm_example_main.c,162 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
